import ws, {WebSocketServer} from "ws"; // '"allowSyntheticDefaultImports": true,' *REQUIRED*...

const Launch_WebSockets_server = (configuration: Object = {host: 'localhost', path: '/FranckBarbier', port: 1963}) => {
    const server = new WebSocketServer(configuration);
    server.on('connection', (connection: ws.WebSocket) => {
        console.log('OnOpen... status: ', connection.readyState === ws.OPEN ? "OPEN" : "Not OPEN");
        connection.on('message', (event: ws.MessageEvent) => {
            console.log('Message from client: %s', event);
        });
        connection.send("{\"Connected\": \"Yes\"}");
    });
    server.on('close', (event: ws.CloseEvent) => {
        console.log('OnClose: ', event ? event.reason : "Unknown reason");
    });
    server.on('error', (event: ws.ErrorEvent) => {
        console.log('onError: ', event ? event.error : "Unknown error");
    });
    setTimeout((information) => {
        console.log(`${information}`);
        server.close();
    }, 10000, 'WebSockets server is stopping...');
};

export default Launch_WebSockets_server;